* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --blue1: #1363df;
  --blue: #287bff;
  --white: #fff;
  --grey: #f5f5f5;
  --grey2: #d5d5d5;
  --black1: #222;
  --black3: #40514e;
  --black2: #999;
  --green: #6ecb63;
  --green1: #2ecb63;
  --red: #f94c66;
  --pink: #ff4584;
  --orange: #ffb562;
  --grey1: #607d8b;
}
body {
  min-height: 100vh;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
}

.header {
  position: relative;
  height: 100%;
  width: 100%;
  padding-top: 100px;
  background: -o-linear-gradient(
    30deg,
    rgba(84, 58, 183, 1) 0%,
    rgba(0, 172, 193, 1) 100%
  );
  background: linear-gradient(
    60deg,
    rgba(84, 58, 183, 1) 0%,
    rgba(0, 172, 193, 1) 100%
  );
}

.formBx {
  margin: 0 auto 60px auto;
  width: 400px;
  padding: 40px;
  min-width: 220px;
  background: rgb(0, 0, 0, 0.8);
  border-radius: 6px;
  box-shadow: 0 7px 25px rgba(0, 0, 0, 0.8);
  font-family: "Poppins", sans-serif;
}

.formBx .error-messag {
  background-color: var(--red);
  color: var(--white);
  padding: 8px 12px;
  margin: 10px;
  display: none;
  position: absolute;
  left: 10px;
  bottom: 10px;
  border-radius: 5px;
  font-size: 13px;
  font-family: "Poppins", sans-serif;
}
.waves {
  position: relative;
  width: 100%;
  margin-bottom: -7px;
  height: 100px;
}

.formBx h2 {
  color: var(--blue);
  font-weight: 600;
  font-size: 1.5rem;
  text-transform: uppercase;
  margin-bottom: 20px;
  border-bottom: 4px solid #ff4584;
  display: inline-block;
  letter-spacing: 1px;
  font-family: "Poppins", sans-serif;
}
.formBx .inputBx {
  margin-bottom: 20px;
}
.formBx .inputBx .pass {
  font-weight: 2rem;
}

.formBx .inputBx span {
  font-size: 1rem;
  color: var(--grey2);
  margin-bottom: 5px;
  display: inline-block;
  font-weight: 300;
  letter-spacing: 1px;
  font-family: "Poppins", sans-serif;
}
.formBx .inputBx input {
  width: 100%;
  padding: 10px 20px;
  outline: none;
  color: var(--grey2);
  font-weight: 400;
  border: 1px solid var(--grey2);
  font-size: 1rem;
  letter-spacing: 1px;
  background: transparent;
  border-radius: 30px;
  font-family: "Poppins", sans-serif;
}
.formBx .inputBx input[type="submit"] {
  border: none;
  outline: none;
  background: var(--red);
  color: var(--white);
  font-weight: 500;
  cursor: pointer;
  font-family: "Poppins", sans-serif;
}
.formBx .inputBx input[type="submit"]:hover {
  background: var(--pink);
}
.formBx .remember {
  margin-bottom: 10px;
  color: var(--grey1);
  font-weight: 400;
  font-size: 0.9rem;
}
.formBx .remember input[type="checkbox"] {
  appearance: none;
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  background-color: var(--black2);
  border-radius: 2px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  outline: none;
  margin-right: 5px;
}
.formBx .remember input[type="checkbox"]::after {
  content: "\f00c";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-size: 1rem;
  color: var(--white);
  display: none;
}

.formBx .remember input[type="checkbox"]:checked {
  background: var(--green);
}
.formBx .remember input[type="checkbox"]:checked::after {
  display: block;
}
.formBx .remember label {
  display: flex;
  cursor: pointer;
}

.parallax > use {
  -webkit-animation: moveForever 25s cubic-bezier(0.55, 0.5, 0.45, 0.5) infinite;
  animation: moveForever 25s cubic-bezier(0.55, 0.5, 0.45, 0.5) infinite;
}

.parallax > use:nth-child(1) {
  -webkit-animation-delay: -2s;
  animation-delay: -2s;
  -webkit-animation-duration: 7s;
  animation-duration: 7s;
}

.parallax > use:nth-child(2) {
  -webkit-animation-delay: -3s;
  animation-delay: -3s;
  -webkit-animation-duration: 10s;
  animation-duration: 10s;
}

.parallax > use:nth-child(3) {
  -webkit-animation-delay: -4s;
  animation-delay: -4s;
  -webkit-animation-duration: 13s;
  animation-duration: 13s;
}

.parallax > use:nth-child(4) {
  -webkit-animation-delay: -5s;
  animation-delay: -5s;
  -webkit-animation-duration: 20s;
  animation-duration: 20s;
}

@-webkit-keyframes moveForever {
  0% {
    -webkit-transform: translate3d(-90px, 0, 0);
    transform: translate3d(-90px, 0, 0);
  }
  100% {
    -webkit-transform: translate3d(85px, 0, 0);
    transform: translate3d(85px, 0, 0);
  }
}

@keyframes moveForever {
  0% {
    -webkit-transform: translate3d(-90px, 0, 0);
    transform: translate3d(-90px, 0, 0);
  }
  100% {
    -webkit-transform: translate3d(85px, 0, 0);
    transform: translate3d(85px, 0, 0);
  }
}

@media (max-width: 768px) {
  .formBx {
    padding: 40px;
    background: rgb(0, 0, 0, 0.8);
    margin: auto;
    border-radius: 6px;
  }
  .waves {
    min-height: 100px;
    max-height: 100px;
  }
}
@media (max-width: 480px) {
  .formBx {
    width: 80%;
    padding: 40px;
    background: rgb(0, 0, 0, 0.8);
    margin: auto;
    border-radius: 6px;
  }
}
